import greenfoot.*;  // imports Actor, World, Greenfoot, GreenfootImage

public class TurtleWorld extends World
{
    /**
     * Create the turtle world. Our world has a size 
     * of 560x460 cells, where every cell is just 1 pixel.
     */
    public TurtleWorld() 
    {
        super(600, 480, 1);

        prepare();
    }

    /**
     * Prepare the world for the start of the program. That is: create the initial
     * objects and add them to the world.
     */
    private void prepare()
    {
        Counter counter = new Counter();
        addObject(counter, 58, 26);

        Lettuce lettuce26 = new Lettuce();
        addObject(lettuce26, 408, 100);
        Lettuce lettuce27 = new Lettuce();
        addObject(lettuce27, 518, 75);
        Lettuce lettuce28 = new Lettuce();
        addObject(lettuce28, 596, 259);
        Lettuce lettuce29 = new Lettuce();
        addObject(lettuce29, 538, 169);
        Lettuce lettuce30 = new Lettuce();
        addObject(lettuce30, 100, 100);
        Lettuce lettuce31 = new Lettuce();
        addObject(lettuce31, 500, 477);
        Lettuce lettuce32 = new Lettuce();
        addObject(lettuce32, 200, 430);
        Lettuce lettuce33 = new Lettuce();
        addObject(lettuce33, 354, 318);
        Lettuce lettuce34 = new Lettuce();
        addObject(lettuce34, 111, 440);
        Lettuce lettuce35 = new Lettuce();
        addObject(lettuce35, 51, 420);
        Lettuce lettuce36 = new Lettuce();
        addObject(lettuce36, 370, 464);
        Lettuce lettuce12 = new Lettuce();
        addObject(lettuce12, 144, 190);
        Lettuce lettuce13 = new Lettuce();
        addObject(lettuce13, 219, 181);
        Lettuce lettuce14 = new Lettuce();
        addObject(lettuce14, 210, 301);
        Lettuce lettuce15 = new Lettuce();
        addObject(lettuce15, 516, 356);
        Lettuce lettuce16 = new Lettuce();
        addObject(lettuce16, 315, 41);
        Lettuce lettuce17 = new Lettuce();
        addObject(lettuce17, 413, 224);
        Lettuce lettuce18 = new Lettuce();
        addObject(lettuce18, 67, 199);
        Lettuce lettuce19 = new Lettuce();
        addObject(lettuce19, 115, 352);
        Lettuce lettuce20 = new Lettuce();
        addObject(lettuce20, 175, 44);

        Snake snake = new Snake(counter);
        addObject(snake, 347, 156);
        Snake snake2 = new Snake(counter);
        addObject(snake2, 263, 314);
        Snake snake3 = new Snake(counter);
        addObject(snake3, 309, 212);
        Snake snake4 = new Snake(counter);
        addObject(snake4, 239, 90);
        Snake snake5 = new Snake(counter);
        addObject(snake5, 516, 256);

        otherTurtle otherturtle = new otherTurtle(counter);
        addObject(otherturtle, 128, 275);

        Bug bug = new Bug();
        addObject(bug, 430, 439);
        Bug bug2 = new Bug();
        addObject(bug2, 119, 106);
       
    }
}